*{
    font-family: 'Source Sans Pro', sans-serif;
    margin: 0;
    padding: 0;
    /* background-color: var(--bg-color); */
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
}
:root{
    /* --bg-color:#edeaeae6; */
    --bg-color:white;
    --secound-bg-color:#e6e0e0e6;
    --black-text:black;
    --white-text:rgb(255, 249, 249);
    --main-color:#9f06d5;
}
body{
    background: var(--bg-color);
    color: var(--black-text);
}
section{
    min-height: 100vh;
    margin-top: 6rem;
    padding: 6rem 8% 2rem;
}

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1rem 6%;
    background: var(--secound-bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header.sticky{
    box-shadow: 0 0 1rem var(--black-text);
    border-bottom: 0.1rem solid var(--secound-bg-color);
}
.header img{
    width: 9vh;
    border-radius: 50%;
    margin: 0 1rem;
}
.logo{
    font-size: 2rem;
    color: var(--main-color);
    font-weight: 600;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    cursor: default;
}
/* Navbar */
.navbar a{
    font-size: 1.5rem;
    color: var(--black-text);
    margin-left: 4rem;
    transition: 0.3s;
}
.navbar a:hover,
.navbar a.active{
    color: var(--main-color);
}

#menu-icon{
    font-size: 3.6rem;
    color: var(--black-text);
    display: none;
}


/* Home */
.home{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 2rem;
    padding: 1rem 8% 2rem;
}
.home-content{
    width: 100%;
}
.home-content h3{
    font-size: 2.2rem;
    font-weight: 700;
}
.home-content h3:nth-of-type(2){
    margin-bottom: 2rem;
}
span{
    color: var(--main-color);
}
.home-content h1{
    font-size: 4rem;
    font-weight: 700;
    line-height: 1.3;
}
.home-content p{
    font-size: 1.2rem;
}
.home-img img{
    width: 70vh;
}

.social-media a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    background: var(--secound-bg-color);
    border-radius: 50%;
    font-size: 1.8rem;
    color: var(--black-text);
    margin: 2rem 0.7rem;
    transition: .5s ease;
}
.social-media a:hover{
    background: var(--main-color);
    color: var(--white-text);
    box-shadow: 0 0 1rem var(--main-color);
}
.btn{
    display: inline-block;
    padding: 1rem 2rem;
    background: var(--main-color);
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--main-color);
    color: var(--bg-color);
    font-size: 1.2rem;
    font-weight: 600;
    transition: .5s ease;
}
.btn:hover{
    box-shadow: none;
}

/* About */
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background: var(--secound-bg-color);
}
.about-img img{
    width: 60vh;
    /* border: 16px solid var(--main-color); */
    border-radius: 7%;
}
.heading{
    text-align: center;
    font-size: 4rem;
    margin-bottom: 2rem;
}
.about-content h2{
     text-align: left;
     line-height: 1.2;
}
.about-content h3{
    font-size: 2.2rem;
}
.about-content p{
    font-size: 1.2rem;
    margin: 2rem 0 3rem;
}
ul{
    list-style: none;
}
.edu-list{
    display: flex;
    flex-direction: column;
}
.edu-list p{
    margin: 0.5rem 0.8rem;
    font-size: 1rem;
}
.edu-heading{
    display: flex;
    justify-content: space-between;
    font-size: 1.2rem;
    padding: 1rem 0;
}
.education-box{
    display: none;
}
.education-box.show{
    display: block;
}
.skill-bar{
    padding: 1.5rem 2%;
    display: none;
}
.skill-bar.show{
    display: flex;
    flex-direction: column;
}
.skill-bar p{
    margin: 2.2rem 0 0.5rem;
}
.container {
    width: 100%; /* Full width */
    background-color: var(--secound-bg-color); /* Grey background */
  }
  
  .skills {
    text-align: right; /* Right-align text */
    padding: 0.3rem 0;
    color: white; /* White text color */
    background-color:var(--main-color) ;
  }
  
  .html {width: 90%;} 
  .css {width: 85%;} 
  .js {width: 65%;}
  .php {width: 60%;}
  .c{width: 75%;}
  .java{width: 80%;}
  .sql{width: 75%;}


  
/* Experiance */
.Experiance{
    margin-bottom: 5rem;
}
.Experiance-content{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
    grid-auto-rows: 3rem;
    gap: 2rem;
}

.Experiance-content .Experiance-box{
    width: 100%;
    background: var(--secound-bg-color);
    padding: 2rem 1rem;
    border-radius: 2rem;
    text-align: center;
    border: 0.2rem solid var(--bg-color);
}
.Experiance-content .Experiance-box:hover{
    border-color: var(--main-color);
    transform: scale(1.02);
}
.Experiance-box h3{
    font-size: 2.2rem;
}
.Experiance-box img{
    width: 20vh;
}
.exp-list{
    display: none;
    flex-direction: column;
    margin: 2rem 1rem 1rem;
}
.exp-list.view{
    display: flex;
}
.exp-card{
    border-radius: 1rem;
    background: var(--bg-color);
    display: flex;
    margin-bottom: 1rem;
    width: 100%;
}
.exp-card-img{
    margin: 1rem;
}
.exp-card-left-content{
    float: left;
    margin-left: 1rem;
    margin-right: auto;
    padding: 1rem;
}
.exp-card-left-content h3{
    text-align: left;
    font-size: 1.2rem;
}
.exp-card-left-content p{
    text-align: left;
    font-size: 1rem;
}
.exp-card-right-content{
    float: right;
    margin-left: auto;
    margin-right: 1rem;
    padding: 1rem;
}
.exp-card-right-content p{
    text-align: right;
    font-size: 1rem;
}



/* Projects */
.project{
    background: var(--bg-color);
    padding-bottom: 6rem;
}
.project-content{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    align-items: center;
    gap: 2.5rem;
}
.project-content .project-box{
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
    display: flex;
    border: 6px solid var(--secound-bg-color);
}
.project-box img{
    width: 100%;
}
.project-box:hover img{
    transform: scale(1.1);
    transition: 0.5s ease;
}

.project-box .project-layer{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: linear-gradient(rgba(0,0,0,0.1),var(--main-color)); */
    background: linear-gradient(rgba(230,224,224,0.1),var(--main-color));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: 0.5s ease;
}
.project-box:hover .project-layer{
    transform: translateY(0);
}
.project-layer h4{
    font-size: 2rem;
    color: var(--black-text);
}
.project-layer p{
    font-size: 1.2rem;
    margin: 0.3rem 0 1rem ;
    color: var(--white-text);
}
.project-layer a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    background: var(--white-text);
    border-radius: 50%;
}
.project-layer a i{
    font-size: 2rem;
    /* color: var(--black-text); */
}

.project-layer a:hover{
    background: var(--black-text);
    color: var(--white-text);
    box-shadow: 0 0 1rem var(--black-text);
}

/* Contact */

.contact h2{
    margin-bottom: 3rem;
}
.contact form{
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}
.contact form .input-box{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--black-text);
    background: var(--secound-bg-color);
    border-radius: 0.8rem;
    margin: 0.7rem 0;
}
.contact form .input-box input{
    width: 49%;
}
.contact form textarea{
    resize: none;
}
.contact form .btn{
    margin-top: 2rem;
    cursor: pointer;
}

/* footer */
.footer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 0.5rem 7%;
    background: var(--black-text);
}
.footer-text p{
    font-size: 1.3rem;
    color: var(--white-text);
}
.footer-icon{
    position: fixed;
    right: 2rem;
    bottom: 1.5rem;
}
.footer-icon a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: var(--main-color);
    transition: 0.5s ease;
}
.footer-icon a:hover{
    box-shadow: 0 0 1rem var(--main-color);
}
.footer-icon a i{
    font-size: 3rem;
    color: var(--white-text);
}
